%global momorel 1
%global srcname akode

Summary: aKode is the decoding library
Name: libakode
Version: 2.0
Release: %{momorel}m
License: LGPL
URL: http://www.carewolf.com/akode/
Group: System Environment/Libraries
Source0: %{srcname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libvorbis-devel, flac-devel, libmad, libogg-devel
BuildPreReq: libsamplerate-devel, jack-devel, alsa-lib-devel

%description
aKode is a simple audio-decoding frame-work that provides a uniform interface 
to decode the most common audio-formats. It also has a direct playback option 
for a number of audio-outputs. 
aKode currently has the following decoder plugins: 
 mpeg: Uses libMAD to decoder all MPEG 1/2 layer I-III audio. GPL licensed and patent issue in the US. 
 mpc: Decodes musepack aka mpc audio. LGPL licensed. 
 xiph: Decodes FLAC, Ogg/FLAC, Speex and Ogg Vorbis audio. LGPL licensed, patent free. 
 ffmpeg: Experimental decoder using the FFMPEG decoding library. Enables WMA and RealAudio playback. LGPL and possible patent and reengineering issues in the US. 
 aKode also has the following audio outputs: 
 oss: Outputs to the OSS (Open Sound System) of for instance FreeBSD and Linux 2.4 
 alsa: Outputs to ALSA of Linux 2.6 (version 0.9 or 1.x required) (dmix is recommended). 
 sun: Outputs to Sun OS/Solaris audio device . 
 jack: Outputs using Jack audio backend. 
 polyp: Output to the polypaudio server. Recommended for network transparent audio.

%package devel
Summary: Headers for developing programs that will use libakode
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use libakode.

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-kscd-cdda \
	--enable-sdl \
	--enable-new-ldflags \
	--disable-final \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# # get rid of mpeg_decoder (software patent concerns)
# rm -f %{buildroot}%{_libdir}/libakode_mpeg_decoder.*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/akodeplay
%{_libdir}/libakode.la
%{_libdir}/libakode.so.*
%{_libdir}/libakode_alsa_sink.la
%{_libdir}/libakode_alsa_sink.so
%{_libdir}/libakode_jack_sink.la
%{_libdir}/libakode_jack_sink.so
%{_libdir}/libakode_mpc_decoder.la
%{_libdir}/libakode_mpc_decoder.so
%{_libdir}/libakode_mpeg_decoder.la
%{_libdir}/libakode_mpeg_decoder.so
%{_libdir}/libakode_oss_sink.la
%{_libdir}/libakode_oss_sink.so
%{_libdir}/libakode_src_resampler.la
%{_libdir}/libakode_src_resampler.so
%{_libdir}/libakode_xiph_decoder.la
%{_libdir}/libakode_xiph_decoder.so

%files devel
%defattr(-, root, root)
%{_bindir}/akode-config
%{_includedir}/akode
%{_libdir}/libakode.so

%changelog
* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- initial package for kdemultimedia
